Remove uses of 'cols' and 'rows' preferences from extensions
Open, NormalPublic

Description

The 'cols' and 'rows' preferences have been removed from core (see T26430), but they have been left in $wgDefaultUserOptions to avoid breaking extensions that still use them.

Remove all uses in extensions, replacing them by the values 25 (rows) and 80 (cols) or other values as required, then remove them from $wgDefaultUserOptions in core.

TTO created this task.Jan 12 2017, 5:01 AM

What could be the extensions related to this?

matmarex added a comment.EditedJan 12 2017, 9:56 PM

Based on a quick search: AdvancedMeta, DynamicPageList, Favorites, MultiUpload, PageForms, SecureHTML, SemanticPageMaker. Search the code for 'getOption' or 'getIntOption' (or 'cols' or 'rows') to find the usages.

I usually search on Github when I am not sure which repositories might be using a certain functionality - https://github.com/search?l=&q=getoption+getintoption+org%3Awikimedia&ref=advsearch&type=Code&utf8=%E2%9C%93

As the changes are made in more than one extension, should it be in a single commit?

TTO added a comment.Jan 17 2017, 12:04 PM

As the changes are made in more than one extension, should it be in a single commit?

There will have to be one patch for each extension. You can't modify more than one Git repository in the same patch.

Change 332459 had a related patch set uploaded (by Amritsreekumar):
Remove the uses of 'rows' and 'cols' preferences from the extension Favorites

https://gerrit.wikimedia.org/r/332459

Change 332460 had a related patch set uploaded (by Amritsreekumar):
Remove uses of 'cols' and 'rows' preferences from AdvancedMeta

https://gerrit.wikimedia.org/r/332460

Change 332459 merged by jenkins-bot:
Remove the uses of 'rows' and 'cols' preferences from the extension Favorites

https://gerrit.wikimedia.org/r/332459

Change 332465 had a related patch set uploaded (by Amritsreekumar):
Replace the use of 'rows' and 'cols' preferences in the extension DynamicPagelist

https://gerrit.wikimedia.org/r/332465

Change 332466 had a related patch set uploaded (by Amritsreekumar):
Remove the uses of 'rows' and 'cols' preferences from the extension MultiUpload

https://gerrit.wikimedia.org/r/332466

Change 332466 merged by jenkins-bot:
Remove the uses of 'rows' and 'cols' preferences from the extension MultiUpload

https://gerrit.wikimedia.org/r/332466

Change 332465 merged by jenkins-bot:
Replace the use of 'rows' and 'cols' preferences

https://gerrit.wikimedia.org/r/332465

Prtksxna removed a subscriber: Prtksxna.Jan 18 2017, 4:38 AM

Change 332765 had a related patch set uploaded (by Amritsreekumar):
Remove the use of function $wgDefaultUserOptions

https://gerrit.wikimedia.org/r/332765

Change 332765 abandoned by Amritsreekumar:
Remove the use of function $wgDefaultUserOptions

https://gerrit.wikimedia.org/r/332765

I am not able to submit a patch in the extension SecureHTML for review as it showing that the project is read only, what is it that I can do? :)

TTO added a subscriber: hashar.Jan 19 2017, 12:00 PM

I am not able to submit a patch in the extension SecureHTML for review as it showing that the project is read only, what is it that I can do? :)

The MW.org page for this extension says it's "stable", and there was a commit merged as recently as last week, but the Gerrit project description is "[ARCHIVED] MediaWiki extension SecureHTML". It was archived in rESHTedcd6731b736bdf647b0fc8b473283054b3b756d, with no explanation given.

@hashar, could you help us here? I'm not saying you were wrong to archive this extension, I'm just surprised that an extension marked "stable" on MW.org would be marked archived on Gerrit.

"Sort out SecureHTML extension" might be worth a separate task if it's more complicated?

The MW.org page for this extension says it's "stable"

https://www.mediawiki.org/wiki/Extension:SecureHTML has not seen changes since 2015.
However https://www.mediawiki.org/wiki/Extension:Secure_HTML is alive. And links to the same Gerrit repo...

It has been removed from CI via 88b0ecd815eecbcb30781d3abccc008851bcff57

commit 88b0ecd815eecbcb30781d3abccc008851bcff57
Author: Antoine Musso <hashar@free.fr>
Date:   Sat Jan 14 09:35:14 2017 +0100

    Deconfigure NewTalkGlobal and SecureHTML
    
    Both are archived extensions per
    https://gerrit.wikimedia.org/r/#/c/332025/
    
    Change-Id: Id11fae6e6bac9edb3ced9d88e7c722aa39e908be

Checking mediawiki.org https://www.mediawiki.org/wiki/Extension:SecureHTML shows a big: This extension has been archived.

So I am confused?

TTO added a comment.Jan 20 2017, 12:33 AM

Checking mediawiki.org https://www.mediawiki.org/wiki/Extension:SecureHTML shows a big: This extension has been archived.

As Andre observed, https://www.mediawiki.org/wiki/Extension:Secure_HTML (marked stable) does link to this same Git repo..

So I am confused?

I think MW.org confused you. I added a box to https://www.mediawiki.org/wiki/Extension:SecureHTML to help explain the situation.

Change 333274 had a related patch set uploaded (by Hashar):
Restore SecureHTML

https://gerrit.wikimedia.org/r/333274

That was definitely confusing!!! Maybe we can set a redirect?

I have made mediawiki/extensions/SecureHTML active again in Gerrit and reenabled CI config.

One can add it back to mediawiki/extensions or it will be done with the next run.

Change 333274 merged by jenkins-bot:
Restore SecureHTML

https://gerrit.wikimedia.org/r/333274

Change 333343 had a related patch set uploaded (by Amritsreekumar):
Remove the uses of 'cols' and 'rows' preferences

https://gerrit.wikimedia.org/r/333343

Change 333343 merged by jenkins-bot:
Remove the uses of 'cols' and 'rows' preferences

https://gerrit.wikimedia.org/r/333343

Change 333349 had a related patch set uploaded (by Amritsreekumar):
Remove uses of 'cols' and 'rows' preferences

https://gerrit.wikimedia.org/r/333349

Change 333349 merged by jenkins-bot:
Remove uses of 'cols' and 'rows' preferences

https://gerrit.wikimedia.org/r/333349

EddieGP moved this task from Backlog to Doing on the Easy board.Feb 18 2017, 12:35 PM

@amritsreekumar: Do you plan to rebase https://gerrit.wikimedia.org/r/#/c/332460/ ? (Asking as that is the only open patch in this task.)

hashar removed a subscriber: hashar.Mar 15 2017, 12:44 PM

Change 332460 abandoned by Amritsreekumar:
Remove uses of 'cols' and 'rows' preferences from AdvancedMeta

https://gerrit.wikimedia.org/r/332460

Aklapper removed amritsreekumar as the assignee of this task.Apr 18 2017, 4:38 PM
Aklapper moved this task from Doing to Backlog on the Easy board.Oct 16 2017, 2:37 PM
Framawiki moved this task from Backlog to Doing on the Easy board.Dec 2 2017, 1:29 PM